

class PlateTemplateError(RuntimeError):
    pass


class IPlateTemplateService:
    def __init__(self):
        pass

    def get_numeric(self, template):
        """
        :type template: long
        :rtype: int
        """
        raise NotImplementedError


def init_service():
    """
    :rtype: IPlateTemplateService
    """
    return _PlateTemplateService()


# noinspection PyUnusedLocal
def fini_service(service):
    """
    :type service: IPlateTemplateService | _PlateTemplateService
    """
    pass


class _PlateTemplateService(IPlateTemplateService):
    def __init__(self):
        IPlateTemplateService.__init__(self)
        pass

    def get_numeric(self, template):
        """
        :type template: long
        :rtype: int
        """
        return (template >> 20) & 0xFFF

